模型参数
- 模型ID:
doubao-seedream-5.5 - 模型价格:你可以在模型详情页查看最新价格信息👉Seedream 5.5
- 调用入口:
https://geekai.co/api/v1/images/generations - 模型参数:参考画图 API 手册
- API认证:获取 API KEY
不支持画图 API 中的以下参数:
negative_promptstrengthaspect_ratioqualitystyle_presetmask
image 字段传入参考图,支持 URL 或 Base64 编码的图片数据,最大支持 10 张,多张图片通过数组传递即可。图像要求如下:
- 支持的图片格式:PNG、JPG、JPEG、WEBP、BMP、TIFF和GIF;
- 图片大小限制:单张图片不超过 30MB,长边与短边之比不超过16:1,短边必须大于14px;
- 总像素范围:[196, 3600万],对于图片拆分场景是 [262144, 3600万]。
extra_body 字段传入 layer_decomposition_options 参数来设置,具体使用方式请参考图层拆分文档。
Seedream 5.5 不支持设置图片宽高比及分辨率,可以通过 size 字段实现,该字段支持两种方式传值:
- 指定生成图像的分辨率:
1K、1.5K、2K(普通生图场景默认值)、auto(图层拆分场景下默认值,仅图层拆分场景支持该参数值), 并在prompt中用自然语言描述图片宽高比、图片形状或图片用途,最终由模型判断生成图片的大小。 - 指定生成图像的宽高像素值,默认值是
2048x2048,对应宽高比为 1:1,此外还可以通过如下像素值生成不同宽高比的图片:
| 分辨率 | 宽高比 | 像素值 |
|---|---|---|
| 1K | 1:1 | 1024x1024 |
| 4:3 | 1152x864 | |
| 3:4 | 864x1152 | |
| 16:9 | 1424x800 | |
| 9:16 | 800x1424 | |
| 3:2 | 1248x832 | |
| 2:3 | 832x1248 | |
| 21:9 | 1568x672 | |
| 1.5K | 1:1 | 1536x1536 |
| 4:3 | 1792x1344 | |
| 3:4 | 1344x1792 | |
| 16:9 | 2048x1152 | |
| 9:16 | 1152x2048 | |
| 3:2 | 1872x1248 | |
| 2:3 | 1248x1872 | |
| 21:9 | 2352x1008 | |
| 2K | 1:1 | 2048x2048 |
| 4:3 | 2304x1728 | |
| 3:4 | 1728x2304 | |
| 16:9 | 2848x1600 | |
| 9:16 | 1600x2848 | |
| 3:2 | 2496x1664 | |
| 2:3 | 1664x2496 | |
| 21:9 | 3136x1344 |
output_format 控制图片输出格式为 png、jpeg,默认值为 png。
Seedream 5.5 支持通过 background 控制是否生成带透明通道的图片:
auto:模型根据提示词和output_format自动判断。若设置输出格式为jpeg,输出图片不带透明通道。transparent:透明背景模式,输出带有透明背景的图(RGBA 图)。opaque:不透明背景模式,输出不带透明通道的图片(RGB 图)。
- 仅支持图生图场景,且只支持输入 1 张带透明通道的图片;
- 透明背景模式下,输出图片默认为 png 格式,若同时配置 output_format 为 jpeg,将触发报错;
- 若传入了不支持透明通道的文件格式(如 jpeg),将触发报错。
response_format 控制图片响应格式为 url、b64_json,默认值为 url。
Seedream 5.5 不再支持组图功能,所以组图相关参数传入无效。
极客智坊支持通过 extra_body.prompt_extend_mode 字段替代官方的 optimize_prompt_options.mode 设置提示词优化功能使用的模式,当然你也可以直接通过 extra_body 传入官方的 optimize_prompt_options 对象参数,极客智坊兼容这两个参数,并且最终以 extra_body.optimize_prompt_options 配置为准。
模型价格
Seedream 5.5 模型的价格按照生成图片的总像素来计算,以 261 万像素为分界线, 低于 261万像素 0.13 元/张,超过 261 万像素 0.23 元/张。 由于 1K 和 1.5K 尺寸的图片总像素都小于261万像素,所以价格归于一档,以下是该模型的价格速算表:| 模型ID | 场景 | 图片尺寸 | 价格(元/张) |
|---|---|---|---|
doubao-seedream-5.5 | 普通生图 | 1K | 0.13 |
doubao-seedream-5.5 | 普通生图 | 1.5K | 0.13 |
doubao-seedream-5.5 | 普通生图 | 2K | 0.23 |
doubao-seedream-5.5 | 图层拆分 | 1K | 0.13 |
doubao-seedream-5.5 | 图层拆分 | 1.5K | 0.13 |
doubao-seedream-5.5 | 图层拆分 | 2K | 0.23 |
0.8,那么生成一张 size 为 1K 的图片价格是 0.13 x 0.8 = 0.104 元,对于拆分图层场景,对应价格是 0.13 x 0.8 x 5 + 0.05 x 1 = 0.57 元(拆分成5张+1张输入图片)。其他参数依次类推。
文生图
通过给模型提供清晰准确的文字指令,即可快速获得符合描述的高质量单张图片:curl --location --request POST 'https://geekai.co/api/v1/images/generations' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer $GEEKAI_API_KEY' \
--data '{
"model": "doubao-seedream-5.5",
"prompt": "充满活力的特写编辑肖像,模特眼神犀利,头戴雕塑感帽子,色彩拼接丰富,眼部焦点锐利,景深较浅,具有Vogue杂志封面的美学风格,采用中画幅拍摄,工作室灯光效果强烈。",
"output_format":"png"
}'
{
"model": "doubao-seedream-5.5",
"created": 1787563947,
"task_id": "eae17a81-d0b9-49a5-9c31-749d56f48a66",
"task_status": "succeed",
"data": [
{
"url": "https://static.geekai.co/image/2026/08/24/3875c0d7366011f7de9f32ec2f010f29.png",
"size": "1776x2368"
}
],
"usage": {
"billed_units": 1,
"output_tokens": 16428,
"total_tokens": 16428
}
}
图生图
Doubao-Seedream-5.0-Pro 支持图生图功能,可以在原有图片的基础上进行修改,生成新的图片。你可以通过image 字段传入一张或多张图片,并在 prompt 中描述你希望对这些图片进行的修改。
单图
curl --location --request POST 'https://geekai.co/api/v1/images/generations' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer $GEEKAI_API_KEY' \
--data '{
"model": "doubao-seedream-5.5",
"prompt": "生成狗狗趴在草地上的近景画面",
"image": "https://ark-project.tos-cn-beijing.volces.com/doc_image/seedream4_imageToimage.png",
"output_format":"jpeg"
}'
curl --location --request POST 'https://geekai.co/api/v1/images/generations' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer $GEEKAI_API_KEY' \
--data '{
"model": "doubao-seedream-5.5",
"prompt": "将图1的服装换为图2的服装",
"image": [
"https://ark-project.tos-cn-beijing.volces.com/doc_image/seedream4_imagesToimage_1.png",
"https://ark-project.tos-cn-beijing.volces.com/doc_image/seedream4_5_imagesToimage_2.png"
],
"output_format":"png",
"watermark": false
}'
拆分图层
Doubao-Seedream-5.5 支持将单张图片拆解为底图(1 张)+ 多个图层输出(最多 99 个图层,默认输出 30 个), 通过extra_body 字段传入 "layer_decomposition": true 来开启:
curl --location --request POST 'https://geekai.co/api/v1/images/generations' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer $GEEKAI_API_KEY' \
--data '{
"model": "doubao-seedream-5.5",
"prompt": "将图片进行精确图层分离,需分离的文字坐标为<bbox>180 64 812 198</bbox>、<bbox>757 210 939 280</bbox>、<bbox>63 212 320 282</bbox>、<bbox>178 714 826 810</bbox>、<bbox>814 819 949 894</bbox>、<bbox>326 824 669 930</bbox>;鹦鹉的坐标为<bbox>347 305 642 997</bbox>。",
"image": "https://ark-project.tos-cn-beijing.volces.com/doc_image/seedream_50_pro_layer_input.png",
"extra_body": {
"layer_decomposition": true
}
}'
layer_decomposition_options 字段来自定义最大输出图层数和以及是否开启OCR功能:
curl --location --request POST 'https://geekai.co/api/v1/images/generations' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer $GEEKAI_API_KEY' \
--data '{
"model": "doubao-seedream-5.5",
"prompt": "将图片进行精确图层分离",
"image": "https://ark-project.tos-cn-beijing.volces.com/doc_image/seedream_50_pro_layer_input.png",
"extra_body": {
"layer_decomposition": true,
"layer_decomposition_options": {
"max_images": 5,
"text_recognition": true
}
}
}'
{
"model": "doubao-seedream-5.5",
"created": 1794885011,
"task_id": "2ac17ca8-ecb1-4d66-9be7-f749c4470c8e",
"task_status": "succeed",
"data": [
{
"url": "https://static.geekai.co/image/2026/11/17/255312307324c69007070e1ce9d2b512.png",
"size": "1080x1080",
"output_format": "png",
"background": "opaque",
"z_index": 0
},
{
"url": "https://static.geekai.co/image/2026/11/17/8db3d12c347778375aee3028017610bf.png",
"size": "1700x617",
"output_format": "png",
"background": "transparent",
"z_index": 1,
"name": "黄色大标题文字“Seedream”",
"description": "黄色大标题文字“Seedream”",
"bounding_box": {
"absolute": [
71,
0,
1000,
337
],
"normalized": [
66,
0,
926,
312
]
}
},
{
"url": "https://static.geekai.co/image/2026/11/17/dc6cdd5bd893cec9282a7e35bead480d.png",
"size": "1044x1005",
"output_format": "png",
"background": "transparent",
"z_index": 2,
"name": "右上角白色文字“VOL. 01”“SUMMER 2026”",
"description": "右上角白色文字“VOL. 01”“SUMMER 2026”",
"bounding_box": {
"absolute": [
783,
136,
1049,
392
],
"normalized": [
725,
126,
971,
363
]
},
"text_recognition": {
"lines": [
{
"bounding_box": {
"absolute": [
911,
226,
1011,
265
],
"normalized": [
844,
209,
936,
245
]
},
"runs": [
{
"style": {
"bold": true,
"foreground_color": "#FFFFFF",
"italic": true,
"shadow": false,
"similar_font_family": "Palatino Linotype",
"strikethrough": false,
"translucent": false,
"underline": false
},
"text": "VOL. 01"
}
]
},
{
"bounding_box": {
"absolute": [
822,
258,
1011,
298
],
"normalized": [
761,
239,
936,
276
]
},
"runs": [
{
"style": {
"bold": true,
"foreground_color": "#FFFFFF",
"italic": true,
"shadow": false,
"similar_font_family": "Palatino Linotype",
"strikethrough": false,
"translucent": false,
"underline": false
},
"text": "SUMMER 2026"
}
]
}
],
"text": "VOL. 01\nSUMMER 2026"
}
},
{
"url": "https://static.geekai.co/image/2026/11/17/446989374652acca6bcc9294e3902737.png",
"size": "1244x843",
"output_format": "png",
"background": "transparent",
"z_index": 3,
"name": "左上角白色文字“EXPLORE THE WILD, INSPIRE THE SOUL.”",
"description": "左上角白色文字“EXPLORE THE WILD, INSPIRE THE SOUL.”",
"bounding_box": {
"absolute": [
18,
139,
396,
395
],
"normalized": [
17,
129,
367,
366
]
},
"text_recognition": {
"lines": [
{
"bounding_box": {
"absolute": [
73,
232,
334,
267
],
"normalized": [
68,
215,
309,
247
]
},
"runs": [
{
"style": {
"bold": true,
"foreground_color": "#FDFEF8",
"italic": false,
"shadow": false,
"similar_font_family": "HTF Didot",
"strikethrough": false,
"translucent": false,
"underline": false
},
"text": "EXPLORE THE WILD, "
}
]
},
{
"bounding_box": {
"absolute": [
73,
263,
317,
297
],
"normalized": [
68,
244,
294,
275
]
},
"runs": [
{
"style": {
"bold": true,
"foreground_color": "#FDFEF8",
"italic": false,
"shadow": false,
"similar_font_family": "HTF Didot",
"strikethrough": false,
"translucent": false,
"underline": false
},
"text": "INSPIRE THE SOUL."
}
]
}
],
"text": "EXPLORE THE WILD, \nINSPIRE THE SOUL."
}
},
{
"url": "https://static.geekai.co/image/2026/11/17/7f8b430576d186627da7a5c18a604c54.png",
"size": "1675x626",
"output_format": "png",
"background": "transparent",
"z_index": 4,
"name": "黄色大标题文字“WILD BEAUTY”",
"description": "黄色大标题文字“WILD BEAUTY”",
"bounding_box": {
"absolute": [
66,
645,
1018,
1001
],
"normalized": [
61,
597,
943,
927
]
}
},
{
"url": "https://static.geekai.co/image/2026/11/17/864cc917af5959b246a101999bb9d1a5.png",
"size": "1024x1024",
"output_format": "png",
"background": "transparent",
"z_index": 5,
"name": "右下角椭圆框内白色文字“NATURE INSIDE”",
"description": "右下角椭圆框内白色文字“NATURE INSIDE”",
"bounding_box": {
"absolute": [
824,
798,
1080,
1054
],
"normalized": [
763,
739,
1000,
976
]
},
"text_recognition": {
"lines": [
{
"bounding_box": {
"absolute": [
911,
900,
1002,
934
],
"normalized": [
844,
833,
928,
865
]
},
"runs": [
{
"style": {
"bold": true,
"foreground_color": "#FFFFFF",
"italic": false,
"shadow": false,
"similar_font_family": "Arial Narrow",
"strikethrough": false,
"translucent": false,
"underline": false
},
"text": "NATURE"
}
]
},
{
"bounding_box": {
"absolute": [
916,
925,
996,
958
],
"normalized": [
848,
856,
922,
887
]
},
"runs": [
{
"style": {
"bold": true,
"foreground_color": "#FFFFFF",
"italic": false,
"shadow": false,
"similar_font_family": "Arial Narrow",
"strikethrough": false,
"translucent": false,
"underline": false
},
"text": "INSIDE"
}
]
}
],
"text": "NATURE\nINSIDE"
}
},
{
"url": "https://static.geekai.co/image/2026/11/17/c05cf64c1af09af235529d37efe0cd65.png",
"size": "1438x729",
"output_format": "png",
"background": "transparent",
"z_index": 6,
"name": "底部居中白色文字“FLY BEYOND LIMITS”“TROPICAL SPLENDOR”“RANFOREST ADVENTURES”",
"description": "底部居中白色文字“FLY BEYOND LIMITS”“TROPICAL SPLENDOR”“RANFOREST ADVENTURES”",
"bounding_box": {
"absolute": [
285,
819,
790,
1075
],
"normalized": [
264,
758,
731,
995
]
},
"text_recognition": {
"lines": [
{
"bounding_box": {
"absolute": [
405,
899,
669,
934
],
"normalized": [
375,
832,
619,
865
]
},
"runs": [
{
"style": {
"bold": true,
"foreground_color": "#FFFFFF",
"italic": true,
"shadow": false,
"similar_font_family": "方正粗黑宋",
"strikethrough": false,
"translucent": false,
"underline": false
},
"text": "FLY BEYOND LIMITS "
}
]
},
{
"bounding_box": {
"absolute": [
399,
933,
684,
968
],
"normalized": [
369,
864,
633,
896
]
},
"runs": [
{
"style": {
"bold": true,
"foreground_color": "#FFFFFF",
"italic": true,
"shadow": false,
"similar_font_family": "方正粗黑宋",
"strikethrough": false,
"translucent": false,
"underline": false
},
"text": "TROPICAL SPLENDOR "
}
]
},
{
"bounding_box": {
"absolute": [
367,
968,
714,
1004
],
"normalized": [
340,
896,
661,
930
]
},
"runs": [
{
"style": {
"bold": true,
"foreground_color": "#FFFFFF",
"italic": true,
"shadow": false,
"similar_font_family": "方正粗黑宋",
"strikethrough": false,
"translucent": false,
"underline": false
},
"text": "RANFOREST ADVENTURES"
}
]
}
],
"text": "FLY BEYOND LIMITS \nTROPICAL SPLENDOR \nRANFOREST ADVENTURES"
}
},
{
"url": "https://static.geekai.co/image/2026/11/17/4b5f62d1438eed8f05480b3684a5ab8e.png",
"size": "834x1257",
"output_format": "png",
"background": "transparent",
"z_index": 7,
"name": "站在覆满苔藓的树枝上的五彩金刚鹦鹉",
"description": "站在覆满苔藓的树枝上的五彩金刚鹦鹉",
"bounding_box": {
"absolute": [
240,
194,
828,
1080
],
"normalized": [
222,
180,
767,
1000
]
}
}
],
"usage": {
"billed_units": 8,
"output_tokens": 33227,
"total_tokens": 33227
}
}
